LIBVLC(1)

NAME
vlc-config - script to get information about the installed version of libvlc

SYNOPSIS
vlc-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

vlc-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use libvlc.

OPTIONS
vlc-config accepts the following options:

--version
    Print the currently installed version of libvlc on the standard output.

--libs
    Print the linker flags that are necessary to link a libvlc program.

--cflags
    Print the compiler flags that are necessary to compile a libvlc program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libvlc was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libvlc was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
vlc(1),

COPYRIGHT
Copyright © 2002 Owen Taylor, modified by Sam Hocevar

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.